# $Revision: 1.23 $, $Date: 2012/03/19 16:48:54 $
#
# Conditional build:
%bcond_without	startup		# build without resource database initiallization
%bcond_without	udev		# build with hotplug instead of udev
#
Summary:	PCMCIA initialization utils for Linux kernels >= 2.6.13
Summary(pl.UTF-8):	Narzędzia startowe pcmcia dla jąder Linuksa >= 2.6.13
Name:		pcmciautils
Version:	018
Release:	2
License:	GPL v2
Group:		Applications/System
Source0:	http://kernel.org/pub/linux/utils/kernel/pcmcia/%{name}-%{version}.tar.bz2
# Source0-md5:	5d85669b3440baa4532363da6caaf1b4
URL:		http://kernel.org/pub/linux/utils/kernel/pcmcia/pcmcia.html
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	sed >= 4.0
BuildRequires:	sysfsutils-devel >= 1.3.0
Requires:	virtual(module-tools)
%{!?with_udev:Requires:	hotplug}
%{?with_udev:Requires:	udev}
Requires:	uname(release) >= 2.6.13
Obsoletes:	pcmcia-cs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PCMCIA initialization utils to be used with Linux kernels >= 2.6.13.
They are designed for new PCMCIA subsystem and are replacement for old
pcmcia-cs package.

%description -l pl.UTF-8
Narzędzia startowe pcmcia dla jąder Linuksa >= 2.6.13. Zostały
stworzone dla nowego podsystemu PCMCIA i zastępują stary pakiet
pcmcia-cs.

%prep
%setup -q

%build
%if %{without startup}
sed -i -e "s#STARTUP =.*#STARTUP = false#g" Makefile
%endif
%if %{without udev}
sed -i -e "s#UDEV =.*#UDEV = false#g" Makefile
%endif

%{__make} -j1 \
	KERNEL_DIR=/usr \
	YACC="bison -y" \
	CC="%{__cc}" \
	OPTIMIZATION="%{rpmcflags}" \
	STRIPCMD=true

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_mandir}/man8/lspcmcia.8
echo '.so pccardctl.8' >$RPM_BUILD_ROOT%{_mandir}/man8/lspcmcia.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%if %{with startup}
%dir %{_sysconfdir}/pcmcia
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pcmcia/config.opts
%endif
%if %{with udev}
%attr(755,root,root) /lib/udev/pcmcia-check-broken-cis
%if %{with startup}
%attr(755,root,root) /lib/udev/pcmcia-socket-startup
%endif
/lib/udev/rules.d/60-pcmcia.rules
%else
%attr(755,root,root) %{_sysconfdir}/hotplug/pcmcia.agent
%attr(755,root,root) %{_sysconfdir}/hotplug/pcmcia.rc
%if %{with startup}
%attr(755,root,root) %{_sysconfdir}/hotplug/pcmcia_socket.agent
%attr(755,root,root) %{_sysconfdir}/hotplug/pcmcia_socket.rc
%endif
%endif
%attr(755,root,root) /sbin/lspcmcia
%attr(755,root,root) /sbin/pccardctl
%{_mandir}/man8/lspcmcia.8*
%{_mandir}/man8/pccardctl.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pcmciautils.spec,v $
Revision 1.23  2012/03/19 16:48:54  lmasko
- Chcnged R: module-itit-tools to virtual(module-tools).

Revision 1.22  2011/04/20 16:22:34  qboosh
- updated to 018
- added running kernel version dependency

Revision 1.21  2010/08/15 10:03:34  qboosh
- updated to 017

Revision 1.20  2008/08/30 19:48:40  agaran
- without udev should not depend on any udev thingies

Revision 1.19  2008/07/14 19:25:59  areq
- 015

Revision 1.18  2007/09/11 22:37:27  glen
- rel 4

Revision 1.17  2007/08/20 19:48:17  arekm
- rel 3; fix MODALIAS udev rules

Revision 1.16  2007/02/21 20:57:40  arekm
- rel 2

Revision 1.15  2007/02/12 21:23:55  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:19  baggins
- converted to UTF-8

Revision 1.13  2007/01/25 12:52:28  qboosh
- hotplug .agent/.rc files must be executable

Revision 1.12  2007/01/25 12:44:37  glen
- %if %{without ...} works fine

Revision 1.11  2007/01/25 12:02:21  qboosh
- fixed lspcmcia(8) manual (.so pointer instead of symlink)

Revision 1.10  2007/01/25 11:57:55  qboosh
- udev is default in current pcmciautils

Revision 1.9  2006/12/08 15:25:32  mmazur
- rel 1.5
- actually added the lspcmcia symlink to %files
- the symlinked manpage for it is still broken however; dunno what's the
  correct fix, probably fixing the rpm build process to take care of symlinks
  in man/*

Revision 1.8  2006/11/13 15:01:54  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.7  2006/06/01 15:58:38  paszczus
- updated to 0.14, new lspcmcia tool

Revision 1.6  2006/01/16 17:11:06  havner
- 012
- manpage added

Revision 1.5  2005/11/16 12:51:46  havner
- conditial R: (udev or hotplug)
- rel 1

Revision 1.4  2005/11/15 23:05:09  qboosh
- use bison instead of yacc
- avoid using running kernel headers (use llh instead)
- use optflags, avoid stripping on build

Revision 1.3  2005/11/15 22:36:12  qboosh
- pl cosmetics

Revision 1.2  2005/11/12 00:25:50  havner
- removed unused %%patch line

Revision 1.1  2005/11/12 00:21:21  havner
- new pcmciautils as a replacement for pcmcia-cs package.
  they require module-init-tools from DEVEL branch for now.
  tested with both udev and hotplug.
- may require better descriptions
- rpmflags are not given for Makefile
